%define upstream_name    ExtUtils-InstallPaths
%define upstream_version 0.014

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Build.PL install path logic made easy
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/ExtUtils/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::Config) >= 0.9.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Spec::Functions) >= 0.830.0
BuildRequires: perl(File::Temp)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module tries to make install path resolution as easy as possible.

When you want to install a module, it needs to figure out where to install
things. The nutshell version of how this works is that default installation
locations are determined from the ExtUtils::Config manpage, and they may be
individually overridden by using the 'install_path' attribute. An
'install_base' attribute lets you specify an alternative installation root
like _/home/foo_ and 'prefix' does something similar in a rather different
(and more complicated) way. 'destdir' lets you specify a temporary
installation directory like _/tmp/install_ in case you want to create
bundled-up installable packages.

The following types are supported by default.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Thu Sep 12 2024 tv <tv> 0.14.0-1.mga10
+ Revision: 2095246
- update to 0.014

* Sun Apr 28 2024 tv <tv> 0.13.0-1.mga10
+ Revision: 2061441
- update to 0.013

* Sun Mar 20 2022 umeabot <umeabot> 0.12.0-4.mga9
+ Revision: 1809284
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.12.0-3.mga8
+ Revision: 1504425
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.12.0-2.mga7
+ Revision: 1283645
- Mageia 7 Mass Rebuild

* Sat May 12 2018 tv <tv> 0.12.0-1.mga7
+ Revision: 1228485
- update to 0.012

* Sun Jun 19 2016 pterjan <pterjan> 0.11.0-3.mga6
+ Revision: 1027196
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.11.0-2.mga6
+ Revision: 966221
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 shlomif <shlomif> 0.11.0-1.mga6
+ Revision: 843156
- update to 0.011

* Wed Oct 15 2014 umeabot <umeabot> 0.10.0-3.mga5
+ Revision: 745432
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.10.0-2.mga5
+ Revision: 684682
- Mageia 5 Mass Rebuild

* Tue Feb 04 2014 shlomif <shlomif> 0.10.0-1.mga5
+ Revision: 581142
- update to 0.010

* Sat Oct 19 2013 umeabot <umeabot> 0.9.0-2.mga4
+ Revision: 526610
- Mageia 4 Mass Rebuild

* Thu Jun 06 2013 shlomif <shlomif> 0.9.0-1.mga4
+ Revision: 438339
- imported package perl-ExtUtils-InstallPaths

